List of all members
clan::Base64Decoder Class Reference
clanCore Math

Base64 decoder class. More...

`#include <base64_decoder.h>`

## Public Member Functions
Construction
| Base64Decoder ()
| Constructs a base64 decoder. More...
Attributes
DataBuffer & | get_result ()
| Returns the decoded data. More...

## Operations
void | reset ()
| Resets the decoder. More...
void | feed (const void *data, int size, bool append_result=true)
| Feeds the decoder with base64 encoded data. More...
static DataBuffer | decode (const void *data, int size)
| Decode base64 data and return it in a buffer. More...
static DataBuffer | decode (const std::string &data)
| Decode. More...
static DataBuffer | decode (const DataBuffer &data)
| Decode. More...

## Detailed Description

Base64 decoder class.

The documentation for this class was generated from the following file:

- base64_decoder.h